<?php
/**
 * Created by PhpStorm.
 * User: SysWork
 * Date: 14/09/2018
 * Time: 10:57 AM
 */

class Gestion_model extends CI_Model
{
    public $ide_unidad_documental;
    public $ide_radicado;
    PUBLIC $cod_radicado;
    public $ide_tipo_radicado;
    public $ide_tipo_documental;
    public $tipo_documental;
    public $ide_medio_recepcion;
    public $medio_recepcion;
    public $fecha_unidad_documental;
    public $numero_documento_radicado;
    public $ide_radicado_respuesta;
    public $fecha_radicado;
    public $ide_funcionario_origen;
    public $nombre_funcionario_origen;
    public $asunto_unidad_documental;
    public $numero_folios;
    public $fecha_respuesta;
    public $ide_tercero_origen;
    public $datos_tercero_origen;
    public $ide_unidad_adtiva_origen;
    public $nombre_unidad_adtiva_origen;
    public $fecha_limite_respuesta;
    public $persona_elaboro;
    public $ide_unidad_adtiva_destino;
    public $nombre_unidad_adtiva_destino;
    public $ide_funcionario_destino;
    public $nombre_funcionario_destino;
    public $observaciones_unidad_documental;
    public $ide_anexo_a;
    public $nom_usuario;
    public $fecha_registro;
    public $activo_radicado;
    public $nro_anexos;
    public $ide_expediente;
    public $ide_serie;
    public $tipo_radicado;

    public function __construct()
    {
        parent::__construct();
    }

    public function set_data($data_form)
    {
        foreach ($data_form as $campo => $valor) {
            if (property_exists("Gestion_model", $campo)) {
                $this->$campo = $valor;
            }
        }
        return $this;
    }
    private function error()
    {
        return $this->db->error();
    }
    public function insertEntrada()
    {
        $rta = $this->db->insert('ges_unidad_documental', $this);
        #echo '---'.$this->db->last_query();
        if ($rta) {
            $cd = $this->db->insert_id();
            $respuesta = [
                "error" => false,
                'msg' => "Registro guardado correctamente",
                'codigo' => $cd,
                'nro_radicado' => $this->db->select('cod_radicado')
                    ->where('ide_radicado', $cd)
                    ->get('rad_radicados')
                    ->row(0)->cod_radicado,
                'fec_rad' => $this->fecha_radicado,
                'fec_doc' => $this->fecha_unidad_documental,
            ];
        } else {
            $error = $this->error();
            $respuesta = [
                "error" => true,
                'msg' => "Error al guardar nuevo registro",
                'error_msg' => $error['message'],
                'error_num' => $error['code']
            ];
        }
        return $respuesta;
    }
}